#!/bin/sh

INSTALLDIR=$1
DB2DIR=$2

ECHO="/bin/echo"
LINK="/bin/ln -s"
LIST="/bin/ls -al"
AWK="/bin/awk"

$ECHO Start root.sh script from ${INSTALLDIR}/install
$ECHO Default DB2 home is ${DB2DIR}

# Search for DB2 install directory
DB2INSTALL=`$LIST ${DB2DIR}/sqllib/lib|$AWK '{print $11}'`
if [ -x ${DB2INSTALL} ]
then
   $ECHO Make link from ${DB2INSTALL} to ${INSTALLDIR}/lib/db2
   $LINK ${DB2INSTALL} ${INSTALLDIR}/lib/db2
else
   $ECHO DB2 ${DB2INSTALL} not found check your DB2 installation
fi

exit 0
